
TYPO3.Fluid - Bug # 46092

Status: Resolved Priority: Should have
Author: Benno Weinzierl Category: ViewHelpers
Created: 2013-03-07 Assigned To:
Updated: 2014-02-24 Due date:
Has patch: No
Affected Flow version: Git master
Subject: The f:translate ViewHelper does nothing if a integer is provided as argument
Description

Here is an Example...

in Translation:

<trans-unit id="mylabel">
    <source>A test list with {0} results</source>
</trans-unit>

In Template:

{f:translate(id: 'mylabel', arguments: {0: "{dynamic.integer}"} )}

This returns "mylabel" in the template because an integer is provided as argument.
This works:

{f:translate(id: 'mylabel', arguments: {0: "{dynamic.integer} "} )}

(Notice the blank an the end of the dynamic argument... the argument is a string and the translation works as expected)

Related issues:
duplicates TYPO3.Flow - Bug # 45062: TranslateViewHelper fails if an array wi... Resolved 2013-02-01

History
#1 - 2013-04-15 16:16 - Alexander Berl

I think the problem lies within TYPO3\Flow\I18n\Translator->getPluralForm($quantity, array $arguments, Locale $locale), which assumes a single
numeric argument denotes the count number for the quantity.
However, this is a very brave assumption and in this case, causes the translation process to fail.

#2 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1

#3 - 2014-02-24 12:36 - Alexander Berl
- Status changed from New to Resolved
Applied in changeset commit:98748f8b10bf6746daa2594dc069ff0b473982de.
